This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 715990

Summary: FTBFS GraphicsMagick-1.3.12-4.fc16
Product: [Fedora] Fedora Reporter: FTBFS <ftbfs>
Component: GraphicsMagickAssignee: Andreas Thienemann <andreas>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: high    
Version: rawhideCC: andreas, rdieter
Target Milestone: ---Keywords: Triaged
Target Release: ---   
Hardware: x86_64   
OS: Linux   
URL: http://linux.dell.com/files/fedora/FixBuildRequires/mock-results/
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-03-01 16:16:46 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 713919    
Attachments:
Description Flags
root.log
none
build.log
none
mock.log none

Description FTBFS 2011-06-23 11:53:06 EDT
GraphicsMagick-1.3.12-4.fc16.src.rpm Failed To Build From Source against the rawhide tree.  See http://fedoraproject.org/wiki/FTBFS for more information.
If you believe this is actually a bug in another package, do NOT change the component in this bug or close this bug.  Instead, add the appropriate bug number from the other package to the "Depends on" line in this bug.  If the other package does not yet have a bug created that you think matches, please create one.  Doing so helps us properly track bugs and their dependencies, just as we track package dependencies.  (If you close this bug, and the other package is not fixed before the next FTBFS run, a new bug will get created.  Please follow the above advice to avoid such duplication.)
Comment 1 FTBFS 2011-06-23 11:53:10 EDT
Created attachment 508255 [details]
root.log


root.log for x86_64
Comment 2 FTBFS 2011-06-23 11:53:11 EDT
Created attachment 508256 [details]
build.log


build.log for x86_64
Comment 3 FTBFS 2011-06-23 11:53:13 EDT
Created attachment 508257 [details]
mock.log


mock.log for x86_64
Comment 4 Rex Dieter 2012-03-01 16:16:46 EST
Update to 1.1.13 fixed the libpng15-related issues.
Comment 5 Rex Dieter 2012-03-01 16:18:17 EST
well, and *this* report was basically a compiler bug/error:

magick/xwindow.c:7518:1: internal compiler error: in new_elt_loc_list, at cselib.c:238

but obviously builds ok now.